pctel module partly broken

The 2.6.29.1 kernel in Jaunty pup alpha5 has the 'pctel' modem driver, however it is partly broken.

Ages ago, the source that I used for the Puppy4 kernels was hacked by me, as 'modinfo' showed that it has too many 'alias' entries -- in other words, the module may load for hardware that the module does not actually work with.

I'm sure that I passed on that info to the pctel guys, can't recall who that was. Anyway, I see the problem is still there.

I won't be able to fix this for alpha6, but will do so soon, probably when I compile the 2.6.29.2 kernel.

Um, yes, it was just about exactly a year ago that I hacked the source:

http://puppylinux.com/blog/?viewDetailed=00050


Posted on 30 Apr 2009, 23:03


No comments posted yet.